## org.eclipse.datatools.enablement.mysql.catalog.loaders
Class MySqlTableConstraintLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableConstraintLoader
              org.eclipse.datatools.enablement.mysql.catalog.loaders.MySqlTableConstraintLoader

    public class MySqlTableConstraintLoader

extends JDBCTableConstraintLoader

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableConstraintLoader
`COLUMN_COLUMN_NAME, COLUMN_DEFERRABILITY, COLUMN_DELETE_RULE, COLUMN_FK_NAME, COLUMN_FKCOLUMN_NAME, COLUMN_KEY_SEQ, COLUMN_PK_NAME, COLUMN_PKCOLUMN_NAME, COLUMN_PKTABLE_CAT, COLUMN_PKTABLE_NAME, COLUMN_PKTABLE_SCHEM, COLUMN_UPDATE_RULE`

Constructor Summary
`MySqlTableConstraintLoader()`

Method Summary
`void` `loadForeignKeys(java.util.List containmentList, java.util.Collection existingFKs)` Loads the "foreign key" objects from the database.
`PrimaryKey` `loadPrimaryKey(PrimaryKey existingPK)` Loads the "primary key" object from the database.
`void` `loadUniqueConstraints(PrimaryKey pk, java.util.List containmentList, java.util.Collection existingUCs)` Loads the "unique constraint" objects from the database.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableConstraintLoader
`clearConstraints, loadForeignKeys, loadPrimaryKey, loadUniqueConstraints`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlTableConstraintLoader

    public MySqlTableConstraintLoader()

Method Detail

### loadPrimaryKey

    public PrimaryKey loadPrimaryKey(PrimaryKey existingPK)
                              throws java.sql.SQLException

  Description copied from class: `JDBCTableConstraintLoader`
  Loads the "primary key" object from the database. This method uses the result set from createPrimaryKeyResultSet() to load the "primary key" object from the server..

  Overrides:
    `loadPrimaryKey` in class `JDBCTableConstraintLoader`
  Parameters:
    `existingPK` - the existing primary key, if one exists.
  Returns:
    the table's primary key
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.

### loadUniqueConstraints

    public void loadUniqueConstraints(PrimaryKey pk,
                                      java.util.List containmentList,
                                      java.util.Collection existingUCs)
                               throws java.sql.SQLException

  Description copied from class: `JDBCTableConstraintLoader`
  Loads the "unique constraint" objects from the database. This method uses the result set from createUniqueConstraintResultSet() to load the "unique constraint" objects from the server.

  Overrides:
    `loadUniqueConstraints` in class `JDBCTableConstraintLoader`
  Parameters:
    `pk` - the table's primary key. Used to prevent duplicating the PK constraint.
    `containmentList` - the containment list held by parent
    `existingUCs` - the catalog objects which were previously loaded
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.

### loadForeignKeys

    public void loadForeignKeys(java.util.List containmentList,
                                java.util.Collection existingFKs)
                         throws java.sql.SQLException

  Description copied from class: `JDBCTableConstraintLoader`
  Loads the "foreign key" objects from the database. This method uses the result set from createUniqueConstraintResultSet() to load the "foreign key" objects from the server.

  Overrides:
    `loadForeignKeys` in class `JDBCTableConstraintLoader`
  Parameters:
    `containmentList` - the containment list held by parent
    `existingFKs` - the catalog objects which were previously loaded
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.